# Contributing

## Submitting a Pull Request

First, thank you so much for contributing to open source and the Normalizr project!

Follow the instructions on the Pull Request Template (shown when you open a new PR) and make sure you've done the following:

- [ ] Add & update tests
- [ ] Ensure CI is passing (lint, tests)
- [ ] Update relevant documentation

## Setup

Normalizr uses [yarn](https://yarnpkg.com) for development dependency management. Ensure you have it installed before continuing.

```sh
yarn
```

## Running Tests

```sh
npm run test
```

## Lint

Standard code style is nice. ESLint is used to ensure we continue to write similar code. The following command will also fix simple issues, like spacing and alphabetized imports:

```sh
npm run lint
```

## Building

Normalizr aims to keep its byte-size as low as possible. Ensure your changes don't incur more space than seems necessary for your feature or change:

```sh
npm run build
```
